# Uses of Interface
org.opensaml.soap.wssecurity.Salt

Packages that use Salt
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of Salt in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Salt
Modifier and Type
Class
Description
`class`
`SaltImpl`
SaltImpl.
Methods in org.opensaml.soap.wssecurity.impl that return Salt
Modifier and Type
Method
Description
`Salt`
SaltBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Salt`
SaltBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.